=== modified file 'NEWS'
--- NEWS	2007-10-02 06:13:56 +0000
+++ NEWS	2007-10-02 11:24:53 +0000
@@ -104,6 +104,10 @@
      will remain opened.
      (Vincent Ladeuil, #140055)
 
+   * Monitor the .bzr directory created in the top level test
+     directory to detect leaking tests.
+     (Vincent Ladeuil, #147986)
+
    * The basename, not the full path, is now used when checking whether
      the profiling dump file begins with ``callgrind.out`` or not. This
      fixes a bug reported by Aaron Bentley on IRC. (Ian Clatworthy)

=== modified file 'bzrlib/tests/test_selftest.py'
--- bzrlib/tests/test_selftest.py	2007-10-02 11:21:44 +0000
+++ bzrlib/tests/test_selftest.py	2007-10-02 11:24:53 +0000
@@ -617,7 +617,7 @@
         """No test should modify the safety .bzr directory.
 
         We just test that the _check_safety_net private method raises
-        AssertionError. I's eaiser than building a test suite with the same
+        AssertionError, it's easier than building a test suite with the same
         test.
         """
         # Oops, a commit in the current directory (i.e. without local .bzr

